package test.contract;

import java.io.IOException;

import test.MainTest;
import utils.HttpRequest;

import com.alibaba.fastjson.JSONObject;

public class ContractSmsSign {
	
	/**
	 * 
	 * @param biz_id 系统唯一，业务流水号 
	 * @param signer_code 用户编码
	 * @param contract_id 合同编号
	 * @return
	 * @throws IOException
	 */
	public static JSONObject userSmsSign(String biz_id , String signer_code,String contract_id) throws IOException{
		//参数详情请参考接口文档(/api/cntsms/userSmsSign)
		HttpRequest request = MainTest.createHttpRequest("/api/cntsms/userSmsSign");
		request.addParam("biz_id",biz_id);
		request.addParam("signer_code",signer_code);
		request.addParam("contract_id",contract_id);
		request.addParam("sms_type","0");
		
		request.send();
		return JSONObject.parseObject(request.resultToString());
	}
}
